package com.muyu.auth.domian;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.auth.domian
 * @Project：cloud-auth
 * @name：TokenResp
 * @Date：2024/8/7 15:55
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "token响应结果集",description = "包含token和token有效时间")
public class TokenResp {

    /**
     * token令牌
     */

    @Schema(
            title = "token令牌",
            type =  "String",
            defaultValue = "eyj0e.eyj1dlLTj9.Pk5KS_Uh2n",
            description = "JWT令牌,包含头,载体,尾"
    )
    private String accessToken;


    /**
     * 有效时间
     */
    @Schema(
     title = "令牌有效时间/MIN",
     type = "Long",
     defaultValue = "720",
     description = "过期时间,时间单位为分钟(MIN)"
    )
    private Long expiresIn;


}
